<!DOCTYPE html>
<html lang="zh">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>短剧首页</title>
    <link rel="stylesheet" href="assets/style.css">
</head>
<body>
    <div class="container">
        <h1>📺 短剧网站</h1>
        <nav>
            <a href="index.php" class="active">🏠 首页</a>
        </nav>
        
        <h2>视频列表</h2>

        <!-- 添加排序选项 -->
        <div>
            <a href="index.php?sort=name">按名称排序</a> | 
            <a href="index.php?sort=time">按时间排序</a>
        </div>
        <div class="video-list">
            <?php
            // 定义视频文件目录
            $videoDir = 'videos/';

            // 获取目录中的文件列表
            $videoFiles = array_diff(scandir($videoDir), array('.', '..'));  // 排除 '.' 和 '..' 目录

            // 选择排序方式：按文件名或按时间排序（默认按文件名排序）
            $sortBy = isset($_GET['sort']) ? $_GET['sort'] : 'name'; // name 或 time

            if ($sortBy == 'time') {
                // 按文件修改时间排序
                usort($videoFiles, function ($a, $b) use ($videoDir) {
                    return filemtime($videoDir . $b) - filemtime($videoDir . $a);
                });
            } else {
                // 按文件名排序
                natcasesort($videoFiles);  // 自然排序，忽略大小写
            }

            // 遍历视频文件并生成链接
            foreach ($videoFiles as $file) {
                $filePath = $videoDir . $file;
                // 只处理 .mp4 文件
                if (pathinfo($filePath, PATHINFO_EXTENSION) == 'mp4') {
                    // 获取不带扩展名的文件名作为集数
                    $episodeName = pathinfo($filePath, PATHINFO_FILENAME);
                    echo "<a href='video.php?file=$file' target='_blank'>$episodeName</a>";
                }
            }
            ?>
        </div>

    </div>
</body>
</html>
